cdac.medinfo.sdk.hl7282.baselibs

## Class PPN

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.PPN

- All Implemented Interfaces:
    IDataType

      public class PPN
      extends CompositeDataType

  PPN - Performing person time stamp

  This data type type is the equivalent of an XCN data type joined with a TS data type.

  Represents an HL7 PPN data type. This data type has the following attributes:

  1. Person Identifier (ST)Optional
  2. Family Name (FN)Optional
  3. Given Name (ST)Optional
  4. Second and Further Given Names or Initials Thereof (ST)Optional
  5. Suffix (e.g., JR or III) (ST)Optional
  6. Prefix (e.g., DR) (ST)Optional
  8. Source Table (CWE)Backward
  9. Assigning Authority (HD)Conditional
  10. Name Type Code (ID)Optional
  11. Identifier Check Digit (ST)Optional
  12. Check Digit Scheme (ID)Conditional
  13. Identifier Type Code (ID)Optional
  14. Assigning Facility (HD)Optional
  15. Date/Time Action Performed (DTM)Optional
  16. Name Representation Code (ID)Optional
  17. Name Context (CWE)Optional
  19. Name Assembly Order (ID)Optional
  20. Effective Date (DTM)Optional
  21. Expiration Date (DTM)Optional
  22. Professional Suffix (ST)Optional
  23. Assigning Jurisdiction (CWE)Optional
  24. Assigning Agency or Department (CWE)Optional

  25. Security Check (ST)Optional

  26. Security Check Scheme (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPN()` Default Constructor for PPN
    `PPN(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for PPN class which takes two arguments and sets the value in the respective member variable.
    `PPN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for PPN class which takes five arguments and sets the value in the respective member variable.
    `PPN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for PPN class which takes six arguments and sets the value in the respective member variable.
    `PPN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `PPN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for PPN class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getAssigningAgencyorDepartment()` Returns Assigning Agency or Department
    `HD` | `getAssigningAuthority()` Returns Assigning Authority
    `HD` | `getAssigningFacility()` Returns Assigning Facility
    `CWE` | `getAssigningJurisdiction()` Returns Assigning Jurisdiction
    `ID` | `getCheckDigitScheme()` Returns Check Digit Scheme
    `DTM` | `getDateTimeActionPerformed()` Returns Date/Time Action Performed
    `DTM` | `getEffectiveDate()` Returns Effective Date
    `DTM` | `getExpirationDate()` Returns Expiration Date
    `FN` | `getFamilyName()` Returns Family Name
    `ST` | `getGivenName()` Returns Given Name
    `ST` | `getIdentifierCheckDigit()` Returns Identifier Check Digit
    `ID` | `getIdentifierTypeCode()` Returns Identifier Type Code
    `ID` | `getNameAssemblyOrder()` Returns Name Assembly Order
    `CWE` | `getNameContext()` Returns Name Context
    `ID` | `getNameRepresentationCode()` Returns Name Representation Code
    `ID` | `getNameTypeCode()` Returns Name Type Code
    `ST` | `getPersonIdentifier()` Returns ID Number
    `ST` | `getPrefix()` Returns Prefix (e.g., DR)
    `ST` | `getProfessionalSuffix()` Returns Professional Suffix
    `ST` | `getSecondNameInitials()` Returns Second and Further Given Names or Initials Thereof
    `ST` | `getSecurityCheck()` Returns Security Check
    `ID` | `getSecurityCheckScheme()` Returns Security Check Scheme
    `CWE` | `getSourceTable()` Returns Source Table
    `ST` | `getSuffix()` Returns Suffix (e.g., JR or III)
    `void` | `setAssigningAgencyOrDepartment(CWE objAssigningAgencyOrDepartment)` Sets the AssigningAgencyOrDepartment.
    `void` | `setAssigningAuthority(HD objAssigningAuthority)` Sets the AssigningAuthority.
    `void` | `setAssigningFacility(HD objAssigningFacility)` Sets the AssigningFacility.
    `void` | `setAssigningJurisdiction(CWE objAssigningJurisdiction)` Sets the AssigningJurisdiction.
    `void` | `setCheckDigitScheme(ID objID)` Sets the CheckDigitScheme.
    `void` | `setCheckDigitScheme(java.lang.String strCheckDigitScheme)` Sets the CheckDigitScheme.
    `void` | `setDateTimeActionPerformed(DTM objDTM)` Sets the DateTimeActionPerformed.
    `void` | `setDateTimeActionPerformed(java.lang.String strDateTimeActionPerformed)` Sets the DateTimeActionPerformed.
    `void` | `setEffectiveDate(DTM objEffectiveDate)` Sets the EffectiveDate.
    `void` | `setEffectiveDate(java.lang.String strEffectiveDate)` Sets the Effective Date.
    `void` | `setExpirationDate(DTM objExpirationDate)` Sets the ExpirationDate.
    `void` | `setExpirationDate(java.lang.String strExpirationDate)` Sets the Expiration Date.
    `void` | `setFamilyName(FN objFamilyName)` Sets the FamilyName.
    `void` | `setGivenName(ST objST)` Sets the GivenName.
    `void` | `setGivenName(java.lang.String strGivenName)` Sets the GivenName.
    `void` | `setIdentifierCheckDigit(ST objST)` Sets the IdentifierCheckDigit.
    `void` | `setIdentifierCheckDigit(java.lang.String strIdentifierCheckDigit)` Sets the IdentifierCheckDigit.
    `void` | `setIdentifierTypeCode(ID objID)` Sets the IdentifierTypeCode.
    `void` | `setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)` Sets the IdentifierTypeCode.
    `void` | `setNameAssemblyOrder(ID objID)` Sets the NameAssemblyOrder.
    `void` | `setNameAssemblyOrder(java.lang.String strNameAssemblyOrder)` Sets the NameAssemblyOrder.
    `void` | `setNameContext(CWE objNameContext)` Sets the NameContext.
    `void` | `setNameRepresentationCode(ID objID)` Sets the NameRepresentationCode.
    `void` | `setNameRepresentationCode(java.lang.String strNameRepresentationCode)` Sets the NameRepresentationCode.
    `void` | `setNameTypeCode(ID objID)` Sets the NameTypeCode.
    `void` | `setNameTypeCode(java.lang.String strNameTypeCode)` Sets the NameTypeCode.
    `void` | `setPersonIdentifier(ST objST)` Sets the Person Identifier.
    `void` | `setPersonIdentifier(java.lang.String strPersonIdentifier)` Sets the Person Identifier.
    `void` | `setPrefix(ST objST)` Sets the Prefix.
    `void` | `setPrefix(java.lang.String strPrefix)` Sets the Prefix.
    `void` | `setProfessionalSuffix(ST objST)` Sets the ProfessionalSuffix.
    `void` | `setProfessionalSuffix(java.lang.String strProfessionalSuffix)` Sets the ProfessionalSuffix.
    `void` | `setSecondAndFurtherGivenNamesOrInitialsThereof(ST objST)` Sets the SecondAndFurtherGivenNamesOrInitialsThereof.
    `void` | `setSecondAndFurtherGivenNamesOrInitialsThereof(java.lang.String strSecondNamesOrInitials)` Sets the SecondAndFurtherGivenNamesOrInitialsThereof.
    `void` | `setSecurityCheck(ST objST)` Sets the Security Check.
    `void` | `setSecurityCheck(java.lang.String strSecurityCheck)` Sets the Security Check.
    `void` | `setSecurityCheckScheme(ID objID)` Sets the Security Check Scheme.
    `void` | `setSecurityCheckScheme(java.lang.String strSecurityCheckScheme)` Sets the Security Check Scheme.
    `void` | `setSourceTable(CWE objCWE)` Sets the SourceTable.
    `void` | `setSourceTable(java.lang.String strSourceTable)` Sets the SourceTable.
    `void` | `setSuffix(ST objST)` Sets the Suffix.
    `void` | `setSuffix(java.lang.String strSuffix)` Sets the Suffix.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPN

          public PPN()

      Default Constructor for PPN

    - #### PPN

          public PPN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMaxLength` - - The Maximum length the DataType can have.
        `iComponentType` - - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PPN

          public PPN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for PPN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PPN

          public PPN(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for PPN class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PPN

          public PPN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for PPN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PPN

          public PPN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for PPN class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setPersonIdentifier

          public void setPersonIdentifier(java.lang.String strPersonIdentifier)

      Sets the Person Identifier.
      Parameters:
        `strPersonIdentifier` - carries the Person Identifier itself.

    - #### setPersonIdentifier

          public void setPersonIdentifier(ST objST)

      Sets the Person Identifier.
      Parameters:
        `objST` - carries the Person Identifier itself.

    - #### setFamilyName

          public void setFamilyName(FN objFamilyName)

      Sets the FamilyName.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.

    - #### setGivenName

          public void setGivenName(java.lang.String strGivenName)

      Sets the GivenName.
      Parameters:
        `strGivenName` - First name.

    - #### setGivenName

          public void setGivenName(ST objST)

      Sets the GivenName.
      Parameters:
        `objST` - First name.

    - #### setSecondAndFurtherGivenNamesOrInitialsThereof

          public void setSecondAndFurtherGivenNamesOrInitialsThereof(java.lang.String strSecondNamesOrInitials)

      Sets the SecondAndFurtherGivenNamesOrInitialsThereof.
      Parameters:
        `strSecondNamesOrInitials` - Multiple middle names may be included by separating them with spaces.

    - #### setSecondAndFurtherGivenNamesOrInitialsThereof

          public void setSecondAndFurtherGivenNamesOrInitialsThereof(ST objST)

      Sets the SecondAndFurtherGivenNamesOrInitialsThereof.
      Parameters:
        `objST` - Multiple middle names may be included by separating them with spaces.

    - #### setSuffix

          public void setSuffix(java.lang.String strSuffix)

      Sets the Suffix.
      Parameters:
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).

    - #### setSuffix

          public void setSuffix(ST objST)

      Sets the Suffix.
      Parameters:
        `objST` - Used to specify a name suffix (e.g., Jr. or III).

    - #### setPrefix

          public void setPrefix(java.lang.String strPrefix)

      Sets the Prefix.
      Parameters:
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).

    - #### setPrefix

          public void setPrefix(ST objST)

      Sets the Prefix.
      Parameters:
        `objST` - Used to specify a name prefix (e.g., Dr.).

    - #### setSourceTable

          public void setSourceTable(java.lang.String strSourceTable)

      Sets the SourceTable.
      Parameters:
        `strSourceTable` - source is used as the HL7 identifier for the user-defined table of values for this component.

    - #### setSourceTable

          public void setSourceTable(CWE objCWE)

      Sets the SourceTable.
      Parameters:
        `objCWE` - source is used as the HL7 identifier for the user-defined table of values for this component.

    - #### setAssigningAuthority

          public void setAssigningAuthority(HD objAssigningAuthority)

      Sets the AssigningAuthority.
      Parameters:
        `objAssigningAuthority` - The assigning authority is a unique identifier of the system

    - #### setNameTypeCode

          public void setNameTypeCode(java.lang.String strNameTypeCode)

      Sets the NameTypeCode.
      Parameters:
        `strNameTypeCode` - A code that represents the type of name.

    - #### setNameTypeCode

          public void setNameTypeCode(ID objID)

      Sets the NameTypeCode.
      Parameters:
        `objString` - A code that represents the type of name.

    - #### setIdentifierCheckDigit

          public void setIdentifierCheckDigit(java.lang.String strIdentifierCheckDigit)

      Sets the IdentifierCheckDigit.
      Parameters:
        `strIdentifierCheckDigit` - The check digit in this data type is not an add-on produced by the message processor.

    - #### setIdentifierCheckDigit

          public void setIdentifierCheckDigit(ST objST)

      Sets the IdentifierCheckDigit.
      Parameters:
        `objST` - The check digit in this data type is not an add-on produced by the message processor.

    - #### setCheckDigitScheme

          public void setCheckDigitScheme(java.lang.String strCheckDigitScheme)

      Sets the CheckDigitScheme.
      Parameters:
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed.

    - #### setCheckDigitScheme

          public void setCheckDigitScheme(ID objID)

      Sets the CheckDigitScheme.
      Parameters:
        `objID` - Contains the code identifying the check digit scheme employed.

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(java.lang.String strIdentifierTypeCode)

      Sets the IdentifierTypeCode.
      Parameters:
        `strIdentifierTypeCode` - A code corresponding to the type of identifier.

    - #### setIdentifierTypeCode

          public void setIdentifierTypeCode(ID objID)

      Sets the IdentifierTypeCode.
      Parameters:
        `objID` - A code corresponding to the type of identifier.

    - #### setAssigningFacility

          public void setAssigningFacility(HD objAssigningFacility)

      Sets the AssigningFacility.
      Parameters:
        `objAssigningFacility` - The place or location identifier where the identifier was first assigned to the patient.

    - #### setDateTimeActionPerformed

          public void setDateTimeActionPerformed(java.lang.String strDateTimeActionPerformed)

      Sets the DateTimeActionPerformed.
      Parameters:
        `strDateTimeActionPerformed` - describes when the activity was performed.

    - #### setDateTimeActionPerformed

          public void setDateTimeActionPerformed(DTM objDTM)

      Sets the DateTimeActionPerformed.
      Parameters:
        `objDTM` - describes when the activity was performed.

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(java.lang.String strNameRepresentationCode)

      Sets the NameRepresentationCode.
      Parameters:
        `strNameRepresentationCode` - Different name/address types and representations of the same name/address should be described by repeating of this field

    - #### setNameRepresentationCode

          public void setNameRepresentationCode(ID objID)

      Sets the NameRepresentationCode.
      Parameters:
        `objID` - Different name/address types and representations of the same name/address should be described by repeating of this field

    - #### setNameContext

          public void setNameContext(CWE objNameContext)

      Sets the NameContext.
      Parameters:
        `objNameContext` - This component is used to designate the context in which a name is used.

    - #### setNameAssemblyOrder

          public void setNameAssemblyOrder(java.lang.String strNameAssemblyOrder)

      Sets the NameAssemblyOrder.
      Parameters:
        `strNameAssemblyOrder` - A code that represents the preferred display order of the components of this person name.

    - #### setNameAssemblyOrder

          public void setNameAssemblyOrder(ID objID)

      Sets the NameAssemblyOrder.
      Parameters:
        `objID` - A code that represents the preferred display order of the components of this person name.

    - #### setEffectiveDate

          public void setEffectiveDate(java.lang.String strEffectiveDate)

      Sets the Effective Date.
      Parameters:
        `strEffectiveDate` - specifies The first date, if known, on which the address is valid and active.

    - #### setEffectiveDate

          public void setEffectiveDate(DTM objEffectiveDate)

      Sets the EffectiveDate.
      Parameters:
        `objEffectiveDate` - The first date, if known, on which the address is valid and active.

    - #### setExpirationDate

          public void setExpirationDate(java.lang.String strExpirationDate)

      Sets the Expiration Date.
      Parameters:
        `strExpirationDate` - specifies The last date, if known, on which the address is valid and active.

    - #### setExpirationDate

          public void setExpirationDate(DTM objExpirationDate)

      Sets the ExpirationDate.
      Parameters:
        `objExpirationDate` - The last date, if known, on which the address is valid and active.

    - #### setProfessionalSuffix

          public void setProfessionalSuffix(java.lang.String strProfessionalSuffix)

      Sets the ProfessionalSuffix.
      Parameters:
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession

    - #### setProfessionalSuffix

          public void setProfessionalSuffix(ST objST)

      Sets the ProfessionalSuffix.
      Parameters:
        `objST` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession

    - #### setAssigningJurisdiction

          public void setAssigningJurisdiction(CWE objAssigningJurisdiction)

      Sets the AssigningJurisdiction.
      Parameters:
        `objAssigningJurisdiction` - The geo-political body that assigned the identifier in component 1.

    - #### setAssigningAgencyOrDepartment

          public void setAssigningAgencyOrDepartment(CWE objAssigningAgencyOrDepartment)

      Sets the AssigningAgencyOrDepartment.
      Parameters:
        `objAssigningAgencyOrDepartment` - The agency or department that assigned the identifier in component 1.

    - #### setSecurityCheck

          public void setSecurityCheck(java.lang.String strSecurityCheck)

      Sets the Security Check.
      Parameters:
        `strSecurityCheck` - is used to communicate a version code.

    - #### setSecurityCheck

          public void setSecurityCheck(ST objST)

      Sets the Security Check.
      Parameters:
        `objST` - carries the version code.

    - #### setSecurityCheckScheme

          public void setSecurityCheckScheme(java.lang.String strSecurityCheckScheme)

      Sets the Security Check Scheme.
      Parameters:
        `strSecurityCheckScheme` - is used to communicate a version code.

    - #### setSecurityCheckScheme

          public void setSecurityCheckScheme(ID objID)

      Sets the Security Check Scheme.
      Parameters:
        `objID` - carries a version code.

    - #### getPersonIdentifier

          public ST getPersonIdentifier()

      Returns ID Number
      Returns:
        ST - data type.

    - #### getFamilyName

          public FN getFamilyName()

      Returns Family Name
      Returns:
        FN - data type.

    - #### getGivenName

          public ST getGivenName()

      Returns Given Name
      Returns:
        ST - data type.

    - #### getSecondNameInitials

          public ST getSecondNameInitials()

      Returns Second and Further Given Names or Initials Thereof
      Returns:
        ST - data type.

    - #### getSuffix

          public ST getSuffix()

      Returns Suffix (e.g., JR or III)
      Returns:
        ST - data type.

    - #### getPrefix

          public ST getPrefix()

      Returns Prefix (e.g., DR)
      Returns:
        ST - data type.

    - #### getSourceTable

          public CWE getSourceTable()

      Returns Source Table
      Returns:
        IS - data type.

    - #### getAssigningAuthority

          public HD getAssigningAuthority()

      Returns Assigning Authority
      Returns:
        HD - data type.

    - #### getNameTypeCode

          public ID getNameTypeCode()

      Returns Name Type Code
      Returns:
        ID - data type.

    - #### getIdentifierCheckDigit

          public ST getIdentifierCheckDigit()

      Returns Identifier Check Digit
      Returns:
        ST - data type.

    - #### getCheckDigitScheme

          public ID getCheckDigitScheme()

      Returns Check Digit Scheme
      Returns:
        ID - data type.

    - #### getIdentifierTypeCode

          public ID getIdentifierTypeCode()

      Returns Identifier Type Code
      Returns:
        ID - data type.

    - #### getAssigningFacility

          public HD getAssigningFacility()

      Returns Assigning Facility
      Returns:
        HD - data type.

    - #### getDateTimeActionPerformed

          public DTM getDateTimeActionPerformed()

      Returns Date/Time Action Performed
      Returns:
        TS - data type.

    - #### getNameRepresentationCode

          public ID getNameRepresentationCode()

      Returns Name Representation Code
      Returns:
        ID - data type.

    - #### getNameContext

          public CWE getNameContext()

      Returns Name Context
      Returns:
        CE - data type.

    - #### getNameAssemblyOrder

          public ID getNameAssemblyOrder()

      Returns Name Assembly Order
      Returns:
        ID - data type.

    - #### getEffectiveDate

          public DTM getEffectiveDate()

      Returns Effective Date
      Returns:
        DTM - data type.

    - #### getExpirationDate

          public DTM getExpirationDate()

      Returns Expiration Date
      Returns:
        DTM - data type.

    - #### getProfessionalSuffix

          public ST getProfessionalSuffix()

      Returns Professional Suffix
      Returns:
        ST - data type.

    - #### getAssigningJurisdiction

          public CWE getAssigningJurisdiction()

      Returns Assigning Jurisdiction
      Returns:
        CWE - data type.

    - #### getAssigningAgencyorDepartment

          public CWE getAssigningAgencyorDepartment()

      Returns Assigning Agency or Department
      Returns:
        CWE - data type.

    - #### getSecurityCheck

          public ST getSecurityCheck()

      Returns Security Check
      Returns:
        ST - data type.

    - #### getSecurityCheckScheme

          public ID getSecurityCheckScheme()

      Returns Security Check Scheme
      Returns:
        ST - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or fals.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.